package cc.openframeworks;


import android.util.Log;


public class DroidBot {

    private static DroidBot instance = new DroidBot();

    private DroidBot() {}


    public static DroidBot getInstance() {
        return instance;
    }

	public native int init();

	public native int homePosition();

	public native int walkToward2();
	public native int walkToward4();
	public native int walkToward8();
	public native int walkToward16();
	public native int walkToward32();

	public native int walkBack4();


	public native int turnRight1();
	public native int turnRight2();
	public native int turnRight4();
	public native int turnRight6();
	public native int turnRight8();

	public native int turnLeft1();
	public native int turnLeft2();
	public native int turnLeft4();
	public native int turnLeft6();
	public native int turnLeft8();


    static {
    	System.loadLibrary("OFAndroidApp"); 
    }

}



